# ------------------------------------------------------------------------------
#
# **AMS Library**
#
# A collection of tools and functions used to interact with SketchUp window and
# its sub-windows using Microsoft Windows API. This library does nothing by
# itself.
#
# Version
#   2.2.0
#
# Release Date
#   January 22, 2015
#
# Author
#   Anton Synytsia - anton.synytsia@gmail.com
#
# ------------------------------------------------------------------------------

require 'sketchup.rb'
require 'extensions.rb'
require 'langhandler.rb'

module AMS; end
module AMS::Lib

  NAME          = 'AMS Library'.freeze
  VERSION       = '2.2.0'.freeze
  RELEASE_DATE  = 'January 22, 2015'.freeze

  # Create the extension.
  @extension = SketchupExtension.new(NAME, 'ams_Lib/main.rb')

  desc = "AMS Library is a collection of tools and functions used to interact "
  desc << "with SketchUp Window an its sub-windows using MSFT Windows API. "
  desc << "This library does nothing by itself."

  # Attach some nice info.
  @extension.description = desc
  @extension.version     = VERSION
  @extension.copyright   = 'Anton Synytsia © 2015'
  @extension.creator     = 'Anton Synytsia (anton.synytsia@gmail.com)'

  # Register and load the extension on start-up.
  ::Sketchup.register_extension @extension, true

  class << self
    attr_reader :extension
  end

end # module AMS::Library
